<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

class SwiftOxygen
{
    public function __construct()
    {
        add_action('init', [$this, 'removeOxygenSeo']);
    }

    public static function getContent($objectId = null, $objectType = null)
    {
        if (!defined('CT_VERSION')) {
            return false;
        }

        $json = null;
        $earlyExit = false;

        if (!empty($objectId) && !empty($objectType)) {
            if ($objectType === 'post') {
                $json = get_post_meta($objectId, '_ct_builder_data', true);
            } elseif ($objectType === 'term') {
                $json = get_term_meta($objectId, '_ct_builder_data', true);
            } elseif ($objectType === 'author') {
                $json = get_user_meta($objectId, '_ct_builder_data', true);
            }

            $earlyExit = true;
        }

        if (function_exists('ct_template_json') && function_exists('do_oxygen_elements')) {
            $json = !empty($json) ? $json : ct_template_json();
            $tree = json_decode($json, true);

            if (isset($tree['children'])) {
                global $oxygen_doing_oxygen_elements;
                $oxygen_doing_oxygen_elements = true;

                $html = do_oxygen_elements($tree['children']);

                return $html;
            }
        }

        if ($earlyExit) {
            return false;
        }

        if (function_exists('ct_do_shortcode') && function_exists('ct_template_shortcodes')) {
            // Fallback to Shortcodes
            $shortcodes = ct_template_shortcodes();

            // return rendered HTML
            if ($shortcodes) {
                $content = ct_do_shortcode($shortcodes);

                return $content;
            }
        }

        return false;
    }
}
