<?php

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}

class SwiftMeta
{
	private static function extract($value, $default = '')
	{
		if (empty($value)) {
			return $default ?: '';
		}

		if (is_numeric($value)) {
			return $value;
		}

		return maybe_unserialize($value);
	}

	public static function post($postId, $key = null)
	{
		if (empty($key)) {
			$meta = get_post_meta($postId);
			$allMeta = [];

			foreach ($meta as $key => $subArray) {
				$allMeta[$key] = self::extract($subArray[0]);
			}

			return $allMeta;
		} else {
			return get_post_meta($postId, $key, true);
		}
	}

	public static function user($userId, $key = null)
	{
		if (empty($key)) {
			$meta = get_user_meta($userId);
			$allMeta = [];

			foreach ($meta as $key => $subArray) {
				$allMeta[$key] = self::extract($subArray[0]);
			}

			return $allMeta;
		} else {
			return get_user_meta($userId, $key, true);
		}
	}

	public static function term($termId, $key = null)
	{
		if (empty($key)) {
			$meta = get_term_meta($termId);
			$allMeta = [];

			foreach ($meta as $key => $subArray) {
				$allMeta[$key] = self::extract($subArray[0]);
			}

			return $allMeta;
		} else {
			return get_term_meta($termId, $key, true);
		}
	}
}
