<?php

/**
 * Plugin Name: Swift SEO Lite
 * Plugin URI: https://swiftseo.app/products/plugins/swift-seo/
 * Description: Boost your website with hassle-free technical SEO made simple. 🚀 Lightweight, efficient, and quick to set up — streamline your site’s optimization and stay ahead of the curve with minimal effort.
 * Version: 1.0.4
 * Requires at least: 6.0
 * Requires PHP: 8.0
 * Author: Swift SEO
 * Author URI: https://swiftseo.app/
 * License: GPL-3.0
 * License URI: https://www.gnu.org/licenses/gpl-3.0.html
 * Donate link: https://donate.stripe.com/28obLYaSD5ZP7AYfYY
 * Contributors: swiftseo
 * Tags: SEO, Social Meta, XML sitemap, Breadcrumbs, Schema markup, Automation, Genesis, Performance SEO
 * Support: https://swiftseo.app/support/
 * Tested up to: 6.7
 *
 * Text Domain: swift-seo
 * Domain Path: /lang/
 *
 * @package WordPress
 * @author Daniel S. Nielsen
 * @since 1.0.0
 */

if (!defined('ABSPATH')) {
    exit;
}

defined('WPSSEO_DIR') or define('WPSSEO_DIR', __DIR__);
defined('WPSSEO_FILE') or define('WPSSEO_FILE', __FILE__);

// Check for Pro version
require_once(__DIR__ . '/includes/classes/Compat/Swift.php');

if ($swiftProPluginActive) {
    return;
}

// Load plugin
require_once(__DIR__ . '/includes/init.php');

// Initialize Swift SEO
SwiftSEO::init();
